Subject: Re: bug#41761: [PATCH] bug#41761: 28.0.50; M-x count-words counts words only up to a field boundary

From: Daniel Koning <[email-masked]>
Date: Fri, 14 Aug 2020 13:48:44 -0500

Eli Zaretskii <[email-masked]> writes:

> This change in behavior should be in NEWS.  And I'm not sure
> we shouldn't provide an optional knob to get back the old behavior:
> some package or user might rely on it.

I don't think I agree. The "new" behavior is what the documentation
described to begin with. And it's a complexity burden to solder new
switches onto these simple functions -- more burdensome (I say) than
trusting users to impose the constraint by hand if that's what they
want. Something like:

    (count-words start (min end (field-end start t)))

Daniel